May need to add health ins amount to w2 for 2012 it was optional in 2011

-- Federal Tables
-- www.irs.gov Publication 15 Cat. No. 10000W, or early notice 1036 Cat. 21974B

update pymtax set percent=4.2, maximum = 110100
      where taxauthority = "FE" and taxcode = "FICA";
update pymtax set percent=6.2, maximum = 110100
      where taxauthority = "FE" and taxcode = "FIC2";
update pymtax set percent = 1.45 
      where taxauthority = "FE" and taxcode = "MEDI";
update pymtax set percent = 1.45 
      where taxauthority = "FE" and taxcode = "MED2";

-- FUTA (Federal unemployment) is 0.8 if taxes paid on time otherwise use 6.0%
-- Federal law provides for a reduction in the FUTA tax credit when a state
-- has outstanding federal loans.  The reduction is 0.3% for the first year,
-- and an additional 0.3% each succeeding year until the loan is repaid. 
update pymtax set percent = 1.7, maximum = 7000
where taxauthority = "FE" and taxcode = "FUTA";


-- Publication 15, Percentage Method Table 7 Annual Payroll Period
-- Set w/h allowance, base tax, bracket rate, over wage amount
delete from pyttax where taxauthority = "FE";
insert into pyttax (taxauthority, taxcode, taxstatus, statusdescription, 
                    allowance,
                    base1, percent1,  over1,
                    base2, percent2,  over2,
                    base3, percent3,  over3,
                    base4, percent4,  over4,
                    base5, percent5,  over5,
                    base6, percent6,  over6) values
                    ("FE", "FWH", "S", "Single", 3800,
                            0.00,  10,      2150,
                          870.00,  15,     10850,
                         4867.50,  25,     37500,
                        17442.50,  28,     87800, 
                        43482.50,  33,    180800, 
                       112683.50,  35,    390500
                    );
insert into pyttax (taxauthority, taxcode, taxstatus, statusdescription,
                    allowance,
                    base1, percent1,  over1,
                    base2, percent2,  over2,
                    base3, percent3,  over3,
                    base4, percent4,  over4,
                    base5, percent5,  over5,
                    base6, percent6,  over6) values
                    ("FE", "FWH", "M", "Married", "3800",
                            0.00,  10,      8100,
                         1740.00,  15,     25500,
                         9735.00,  25,     78800,
                        27735.00,  28,    150800,
                        48665.00,  33,    225550,
                       105062.00,  35,    396450
                    );
-- There were no EIC tables in the 2011 Circular E
insert into pyttax (taxauthority, taxcode, taxstatus, statusdescription, 
                    allowance,
                    base1, percent1,  over1,
                    base2, percent2,  over2,
                    base3, percent3,  over3) values
                    ("FE", "EIC", "1", "Single Employee filing", 0,
                            0.00,   20.40,      0,
                         1750.00,       0,   8580,
                         1750.00,  -9.588,  15740
                    );
insert into pyttax (taxauthority, taxcode, taxstatus, statusdescription, 
                    allowance,
                    base1, percent1,  over1,
                    base2, percent2,  over2,
                    base3, percent3,  over3) values
                    ("FE", "EIC", "3", "Married w/Spouse NOT file", 0,
                            0.00,   20.40,      0,
                         1750.00,       0,   8580,
                         1750.00,  -9.588,  18740
                    );
insert into pyttax (taxauthority, taxcode, taxstatus, statusdescription, 
                    allowance,
                    base1, percent1,  over1,
                    base2, percent2,  over2,
                    base3, percent3,  over3) values
                    ("FE", "EIC", "2", "Married w/Spouse filing", 0,
                            0.00,   20.40,      0,
                          875.00,       0,   4290,
                          875.00,  -9.588,   9370
                    );


